Subject: bug#25084: 25.1.90 tarfile has files.el newer than files.elc

From: [email-masked] (Phillip Lord)
Date: Wed, 07 Dec 2016 15:46:24 +0000

Nicolas Petton <[email-masked]> writes:

> Glenn Morris <[email-masked]> writes:
>
> Hi Glenn,
>
>> In the 25.1.90 tarball, files.el is newer than files.elc.
>> This ought to be impossible, if the tarfile was created from a
>> bootstrap.
>
> It was, but I might have pulled a commit after bootstrapping (Eli
> mentioned that reason to me, and while I don't remember doing that, it
> has to be the case).
>
>> It causes building to recompile files.el, which is harmless but should
>> not be needed in a release.
>
> Indeed.  I'll keep this bug report open until the next pretest.

Can we add something to the build that checks this before the tar step?

Phil